View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000691Ecere SDKide:parsingpublic2012-03-16 16:242013-08-07 03:33
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformCross-PlatformOS\o/OS Version;-)
Product Version0.44 Ryoan-ji 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000691: class definition inside preprocessor if with import and class not found
Descriptionthe ide will crash when parsing the following code
Steps To Reproduceimport "ecere"

#ifdef SOME_OPTION
public class MyClass : Window
#else
public class MyClass : ClassNotFound
#endif
{
}
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000521)
jerome (administrator)
2012-03-16 20:39

Fixed by
https://github.com/ecere/sdk/commit/2fa345d6b2c4712acd37ebdacc3777cd24757003 [^]

- Issue History
Date Modified Username Field Change
2012-03-16 16:24 redj New Issue
2012-03-16 20:39 jerome Status new => resolved
2012-03-16 20:39 jerome Fixed in Version => 0.44.1 Android
2012-03-16 20:39 jerome Resolution open => fixed
2012-03-16 20:39 jerome Assigned To => jerome
2012-03-16 20:39 jerome Note Added: 0000521
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2012-03-29 08:29 redj Category ide => ide:parsing
2012-03-29 08:29 redj Summary ide: codeEditor: parsing: class definition inside preprocessor if with import and class not found => class definition inside preprocessor if with import and class not found
2012-04-07 18:30 redj Target Version 0.45 Ginkakuji => 0.44.1 Android
2013-05-22 20:29 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker